Skip to main content
POST
/
api
/
agent
/
lookup
Agent Lookup
curl --request POST \
  --url https://encrata.com/api/agent/lookup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "e": "<string>"
}
'
{
  "n": "Satya Nadella",
  "e": "satya@microsoft.com",
  "co": "Microsoft",
  "role": "CEO",
  "ind": "Technology",
  "loc": "Redmond, US",
  "bloc": "Hyderabad, India",
  "cloc": "Redmond, Washington, US",
  "v": "ok",
  "s": {
    "li": "https://linkedin.com/in/satyanadella"
  },
  "b": {
    "count": 12,
    "svc": ["Adobe", "LinkedIn"]
  },
  "reg": {
    "count": 3,
    "svc": ["Twitter", "Spotify", "GitHub"]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.encrata.com/llms.txt

Use this file to discover all available pages before exploring further.

Authentication

Requires a Bearer token in the Authorization header.
Authorization: Bearer YOUR_API_KEY

Request

e
string
required
The email address to look up.
fields
string
Comma-separated list of fields to return. Omit to return all fields.Available fields: n, e, co, role, ind, loc, bloc, cloc, bio, age, g, edu, pic, v, s, b, reg, news, pub

Field reference

KeyDescription
nFull name
eEmail
coCompany
roleJob role
indIndustry
locLocation (city, country)
blocBirthplace
clocCurrent/company location
bioBiography
ageAge
gGender
eduEducation (level + university + field)
picPhoto URL
vEmail validity (ok, invalid, disposable, unknown)
sSocial links (li, tw, ig, fb, gh)
bBreach info (count, svc, data)
regRegistered services (count, svc)
newsNews mentions (t, u, d, s)
pubPublications (t, u, y, c)

Example request

curl -X POST "https://encrata.com/api/agent/lookup?fields=n,co,role,s" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"e": "satya@microsoft.com"}'

Response

n
string
Full name (first + middle + last).
e
string
Email address.
co
string
Company name.
role
string
Job role / title.
ind
string
Industry.
loc
string
Location as “city, country”.
bloc
string
Birthplace (parsed from knowledge graph).
cloc
string
Current/company location (from ContactOut company HQ).
bio
string
Short biography.
age
string
Age.
g
string
Gender.
edu
string
Education summary (level, university, field).
pic
string
Profile photo URL.
v
string
Email validity: ok, invalid, disposable, or unknown.
s
object
Social media links.
b
object
Data breach exposure (from HIBP).
reg
object
Registered services (from Holehe + Scanner).
news
array
News mentions.
pub
array
Academic publications.

Example response

{
  "n": "Satya Nadella",
  "co": "Microsoft",
  "role": "CEO",
  "bloc": "Hyderabad, India",
  "cloc": "Redmond, Washington, US",
  "v": "ok",
  "s": {
    "li": "https://linkedin.com/in/satyanadella"
  },
  "b": {
    "count": 12,
    "svc": ["Adobe", "LinkedIn"]
  },
  "reg": {
    "count": 3,
    "svc": ["Twitter", "Spotify", "GitHub"]
  }
}
{
  "n": "Satya Nadella",
  "e": "satya@microsoft.com",
  "co": "Microsoft",
  "role": "CEO",
  "ind": "Technology",
  "loc": "Redmond, US",
  "bloc": "Hyderabad, India",
  "cloc": "Redmond, Washington, US",
  "v": "ok",
  "s": {
    "li": "https://linkedin.com/in/satyanadella"
  },
  "b": {
    "count": 12,
    "svc": ["Adobe", "LinkedIn"]
  },
  "reg": {
    "count": 3,
    "svc": ["Twitter", "Spotify", "GitHub"]
  }
}